/*
 Theme Name:   Bellimy Child
 Theme URI:    https://beautique.axiomthemes.com/
 Description:  Website desenvolvido por agilstore
 Author:       agilstore
 Author URI:   https://www.agilstore.pt/
 Template:     beautique
 Version:      1.0.0
 Tags:         centro de estética
 Text Domain:  beautique
*/


/* =Theme customization starts here
------------------------------------------------------------ */



/********** Header CSS **********/



/* Fixed Header Logo */
@media (max-width: 767px) {
    .sc_layouts_row.sc_layouts_row_fixed_on.sc_layouts_row_fixed_always .custom-logo-link img,
.sc_layouts_row.sc_layouts_row_fixed_on.sc_layouts_row_fixed_always .sc_layouts_logo img {
        max-height: 65px!important;
    }
}


/* Header Mobile Menu Logo */
@media (max-width: 479px) {
    div.menu_mobile .sc_layouts_logo img {
        max-height: 65px;
    }
}



/********** Content CSS **********/



/* Slideshow Overlay */
#rev_slider_1_1 rs-slide:not(.remove_overlay) rs-sbg-px:before {
	content: '';
	background: rgba(0, 0, 0, 0.25);
	z-index: 1;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
}


/* Icon Columns Item Content Containers */
@media (min-width: 768px) {
    .sc_icons_qw-stylish .sc_icons_columns_wrap .sc_icons_item {
        padding: 3em 1.5em 2.6em;
    }
}


/* Icon Columns Item Titles */
@media (min-width: 768px) {
    .sc_icons_qw-stylish .sc_icons_columns_wrap .sc_icons_item .sc_icons_item_title {
        min-height: 2.4em;
    }
}


/* Loop Grid Container */
@media (min-width: 1024px) {
    .elementor-widget-loop-grid.elementor-grid-3 .elementor-grid {
        /*display: flex;*/
        /*justify-content: center;*/
    }
}


/* Loop Grid Item Containers */
@media (min-width: 1024px) {
    .elementor-widget-loop-grid.elementor-grid-3 .elementor-grid .e-loop-item {
        /*flex-basis: 33.3%;*/
    }
}


/* Page Content Buttons */
@media (max-width: 767px) {
    .elementor-widget-trx_sc_button .sc_button.sc_button_decoration {
        padding-left: 20px;
        padding-right: 20px;
    }
}



/********** Responsive Content CSS **********/



/* Mobile Align Classes */
@media (max-width: 767px) {
    .mobile_align_center .sc_title {
        text-align: center;
    }
    .mobile_align_center .socials_wrap {
        text-align: center;
    }
    .mobile_align_center.elementor-widget-trx_sc_layouts_logo {
        text-align: center;
    }
}



/********** Portfolio Single Page CSS **********/



/* Portfolio Gallery Title Container */
@media (max-width: 1023px) {
    .custom_portfolio_gallery_title_container {
        order: 3;
    }
}


/* Portfolio Gallery Container */
@media (min-width: 768px) {
    .portfolio_page_gallery [class*="portfolio_page_gallery_type_masonry_"] {
        margin-right: -10px;
    }
}


/* Portfolio Gallery Item Containers */
@media (min-width: 768px) {
    .portfolio_page_gallery [class*="portfolio_page_gallery_type_masonry_"] .portfolio_page_gallery_item {
        padding: 0 10px 10px 0;
    }
}



/********** Contact Page CSS **********/



/* Contact Page Icons Column Containers */
@media (max-width: 767px) {
    .contact_icons_element .sc_icons_divider .sc_icons_columns_wrap.trx_addons_columns_wrap.columns_padding_bottom.columns_in_single_row>[class*="trx_addons_column-"] {
        padding-bottom: 35px;
    }
}


/* Contact Page Icons Item Containers */
@media (min-width: 768px) {
    .contact_icons_element .sc_icons_divider.sc_align_center .sc_icons_columns_wrap .sc_icons_item {
        padding: 15px 10px;
    }
}


/* Contact Page Icons Item Content Containers */
.contact_icons_element .sc_icons_divider .sc_icons_icon + .sc_icons_item_details,
.contact_icons_element .sc_icons_divider .sc_icons_image + .sc_icons_item_details {
    margin-top: 1.35em;
}

@media (max-width: 767px) {
    .contact_icons_element .sc_icons_divider .sc_icons_icon + .sc_icons_item_details,
    .contact_icons_element .sc_icons_divider .sc_icons_image + .sc_icons_item_details {
        margin-top: 1em;
    }
}


/* Contact Page Icons Items */
.contact_icons_element .sc_icons_divider.sc_icons_size_small .sc_icons_icon:before,
.contact_icons_element .sc_icons_divider.sc_icons_size_small .sc_icons_icon>span:before {
    font-size: 2.9em;
}


/* Contact Page Icons Item Titles */
.contact_icons_element .sc_icons_divider .sc_icons_item_title {
    font-size: 1.8em;
}

@media (max-width: 767px) {
    .contact_icons_element .sc_icons_divider .sc_icons_item_title {
        font-size: 24px;
        line-height: 29px;
    }
}


/* Contact Page Icons Item Text Containers */
.contact_icons_element .sc_icons_divider .sc_icons_item_description small {
    display: block;
    font-size: 75%;
    line-height: 1.3em;
    margin-top: -3px;
}



/********** Contact Form CSS **********/



/* Contact Form Row Containers */
@media (min-width: 1024px) {
    div.wpcf7 div.form-style-1 .columns_wrap.margin-bottom > [class*="column-"] {
        padding-bottom: 30px;
    }
}


/* Contact Form Column Containers */
@media (min-width: 1024px) {
    div.wpcf7 div.form-style-1 .columns_wrap > [class*="column-"] {
        padding-bottom: 27px;
    }
    div.wpcf7 div.form-style-7 .columns_wrap > [class*="column-"] {
        padding-bottom: 26px;
    }
}


/* Contact Form Checkbox Container */
div.wpcf7 .contact_form_checkbox_container {
    margin-bottom: 5px;
}


/* Contact Form Checkbox Text Container */
div.wpcf7 .contact_form_checkbox_container input[type="checkbox"] + .wpcf7-list-item-label {
    font-size: 13px;
}


/* Contact Form Checkbox Text Links */
div.wpcf7 .contact_form_checkbox_container input[type="checkbox"] + .wpcf7-list-item-label a {
    display: initial;
    border-bottom: none;
}


/* Contact Form reCaptcha Text Container */
div.wpcf7 .contact_form_recaptcha_text {
    font-size: 13px;
    line-height: 1.6em;
    margin-bottom: 25px;
}


/* Contact Form reCaptcha Text Links */
div.wpcf7 .contact_form_recaptcha_text a:not(:hover) {
    color: inherit;
}


/* Contact Form Message Container */
div.wpcf7 form .trx_addons_message_box.wpcf7-response-output,
div.wpcf7 div.wpcf7-response-output {
    background: #8bc34a!important;
    border: 2px solid #8bc34a!important;
    color: #ffffff!important;
	font-weight: 500;
    text-align: center;
	-webkit-box-shadow: none;
    -ms-box-shadow: none;
    box-shadow: none;
    padding: 0.5em 1em!important;
    margin-top: 0!important;
    margin-bottom: 10px!important;
}



/********** Popup CSS **********/



/* Popup Title */
.pum-title {
    padding-bottom: 20px;
	padding-right: 40px;
}

@media (max-width: 767px) and (min-width:480px) {
    .pum-title {
        font-size: 32px!important;
	}
}

@media (max-width: 479px) {
    .pum-title {
        font-size: 28px!important;
		line-height: 32px!important;
		padding-right: 25px;
	}
}


/* Top Popup Close Button */
.top_popup_close_button {
    position: absolute;
	top: 0;
	right: 0;
	margin-top: -85px;
	margin-right: -7px;
	color: #36434e!important;
    background: none!important;
    font-size: 26px;
	font-weight: 300;
	font-family: "Roboto";
	line-height: normal;
    padding: 12px;
	border: none;
	transition: all 0.3s ease-in;	
	outline: none!important;
}

.top_popup_close_button:hover {
	color: var(--theme-color-text_dark)!important;
}

@media (max-width: 480px) {
  .top_popup_close_button {
		padding: 8px;
		margin-top: -69px;
		margin-right: -8px;
		font-size: 22px;
	}
}


/* Popup Close Button */
.pum-overlay:not(.pum-theme-form-popup-theme) .pum-container .pum-content+.pum-close {
	width: auto;
	text-transform: uppercase;
	transition: all 0.3s ease-in;
	padding: 0 25px;
}

.pum-overlay:not(.pum-theme-form-popup-theme) .pum-container .pum-content+.pum-close:hover {
	color: #ffffff;
	background-color: var(--theme-color-text_hover);
	border-color: var(--theme-color-text_hover);
}


/* Popup Content */
.pum-overlay:not(.pum-theme-form-popup-theme) .pum-content {
	padding-bottom: 65px;
}

.pum-content:focus {
	outline: none!important;
}


/* Popup Content Text Paragraphs */
.pum-content p {
	text-align: justify;
    margin-bottom: 1em;
}


/* Popup Content Extra Paragraph */
.pum-container .wpcf7 + p {
    display: none;
}


/* Popup HTML Body Padding Fix */
html.pum-open.pum-open-overlay.pum-open-scrollable body>[aria-hidden] {
    padding-right: 0;
}



/********** Custom File Input CSS **********/



/* Custom File Input Container */
div.wpcf7 .contact_file_upload_container {
    margin-bottom: 15px;
}

div.wpcf7 div.custom-file-input {
    display: inline-block;
    overflow: hidden;
    position: relative;
}


/* Custom File Input Label Text */
div.wpcf7 div.custom-file-input label > span {
    display: block;
    margin-bottom: 10px;
}


/* Custom File Input Default Input */
div.wpcf7 div.custom-file-input .wpcf7-form-control-wrap.your-file,
div.wpcf7 div.custom-file-input .wpcf7-form-control-wrap[data-name="your-file"] {
    width: 100%;
    height: 100%;
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 999;
}

div.wpcf7 div.custom-file-input .wpcf7-form-control-wrap.your-file input[type="file"],
div.wpcf7 div.custom-file-input .wpcf7-form-control-wrap[data-name="your-file"] input[type="file"] {
    width: 100%;
    height: 100%;
}


/* Custom File Input Label */
div.wpcf7 div.custom-file-input span.custom-file-input-label {
    font-size: 18px;
    letter-spacing: 0.3px;
    font-family: var(--theme-font-h5_font-family);
    color: var(--theme-color-text_dark);
}


/* Custom File Input Upload Name Text Container */
div.wpcf7 div.custom-file-input span.custom-file-input-text {
    color: var(--theme-color-text);
    display: inline-block;
    font-size: 14px;
}

@media (max-width: 479px) {
    div.wpcf7 div.custom-file-input span.custom-file-input-text {
        display: block;
        margin-top: 10px;
    }
}


/* Custom File Input Button */
div.wpcf7 div.custom-file-input input[type="button"] {
    width: auto!important;
    font-size: 14px;
    font-weight: 700;
    color: var(--theme-color-text_link)!important;
    border: 1px solid var(--theme-color-text_link)!important;
    background: transparent!important;
    margin-right: 15px;
    line-height: 36px;
    letter-spacing: 0.5px;
    padding: 0 25px!important;
    text-transform: uppercase;
    transition: all 0.3s;
}

div.wpcf7 div.custom-file-input input[type="button"]:hover {
    color: #ffffff!important;
    border: 1px solid var(--theme-color-text_hover)!important;
    background: var(--theme-color-text_hover)!important;
}



/********** Litigios Page CSS **********/



.elementor-section.litigio_row > .elementor-container {
    border: 1px solid #e5e5e5;
}

.elementor-section.litigio_row .elementor-widget-text-editor p:not(:last-child) {
    margin-bottom: 10px;
}

.elementor-section.litigio_row a {
    word-break: break-word;
}

.elementor-section.litigio_row a:not(:hover) {
    color: inherit;
}



/********** 404 Page CSS **********/



/* 404 Page Content Container */
.error404 .post_item_404 .post_content {
    display: flex;
    align-items: center;
    min-height: 70vh;
    padding: 0!important;
}



/***** Cookie Notification CSS *****/



/* Cookie Notification Visuals */
#cookie-law-info-bar {
		box-shadow: none;
		width: 100%;
		position: fixed;
		left: 0;
		font-size: 13px;
		line-height: 20px;
		padding: 6px 20px;
		color: #fff!important;
		background-color: rgba(47,51,50,.8)!important;
		text-transform: uppercase;
		z-index: 99999;
}

@media (max-width: 839px) {
  #cookie-law-info-bar {
   	padding-top: 20px!important;
	}
}


/* Cookie Notification Buttons */
#cookie-law-info-bar a {
   	transition: all 0.3s ease;
	text-decoration: none;
    font-size: 16px;
	font-weight: 400;
    font-family: var(--theme-font-button_font-family);
    text-transform: uppercase;
}

.cli-switch input:checked+.cli-slider,
.cli-tab-footer .wt-cli-privacy-accept-btn {
    background-color: var(--theme-color-text_link)!important;
}

@media (max-width: 839px) {
  #cookie-law-info-bar a {
   	display: block;
    margin-top: 10px!important;
    margin-left: 0!important;
    margin-right: 0!important;
	}
	#cookie-law-info-bar a:first-of-type {
    margin-top: 20px!important;
	}
	#cookie-law-info-bar a:last-child {
    margin-bottom: 15px!important;
	}
}


/* Cookie Notification OK Button */
#cookie-law-info-bar #cookie_action_close_header:hover,
#cookie-law-info-bar #wt-cli-accept-all-btn:hover,
#cookie-law-info-bar #cookie_action_close_header_reject:hover {
   	background-color: var(--theme-color-text_hover)!important;
	color: #ffffff!important;
}


/* Cookie Notification SAIBA MAIS Button */
#cookie-law-info-bar #CONSTANT_OPEN_URL:hover,
#cookie-law-info-bar a.cli_settings_button:hover {
   	background-color: var(--theme-color-text_hover)!important;
	color: #ffffff!important;
}


/* Cookie Notification Responsive */
.cookie_action_close_header {
    margin: 2px 2px 2px 15%!important;
}

@media (max-width: 1095px) and (min-width: 900px) {
   .cookie_action_close_header {
    	margin: 2px 2px 2px 10%!important;
	 }
}

@media (max-width: 899px) and (min-width: 840px) {
   .cookie_action_close_header {
    	margin: 2px 2px 2px 5%!important;
	 }
}

@media (max-width: 839px) {
   .cookie_action_close_header {
    	margin: 2px!important;
	 }
}


/* Cookie Notification Responsive Break */
.cookie_break_hide {
    display: block;
}

@media (min-width: 839px) {
     .cookie_break_hide {
    	display: none;
     }
}



/********** Footer CSS **********/



/* Footer Widget Text Containers */
.footer_wrap .elementor-heading-title small {
    display: block;
    font-size: 70%;
    line-height: 1.3em;
}


/* Footer Menu Widget List Containers */
.footer_wrap .widget_custom_links ul.custom_links_list {
    font-size: 16px;
}


/* Footer Menu Widget List Item Containers */
.footer_wrap .widget_custom_links ul.custom_links_list .custom_links_list_item + .custom_links_list_item {
    margin-top: 7px!important;
}


/* Footer Social Item Containers */
.footer_wrap .socials_wrap:not(.socials_type_list) .social_item .social_icon {
    width: 2em;
    height: 2em;
    line-height: 2em;
}

@media (max-width: 767px) {
    .footer_wrap .socials_wrap:not(.socials_type_list) .social_item .social_icon {
        font-size: 18px;
    }
}


/* Footer Accordion Item Containers */
.footer_wrap .elementor-accordion .elementor-accordion-item {
    border-left: none;
    border-right: none;
}

.footer_wrap .elementor-accordion > .elementor-accordion-item:first-of-type {
    display: none;
}

.footer_wrap .elementor-accordion > .elementor-accordion-item:first-of-type + .elementor-accordion-item {
    border-top: 1px solid #9A9A9A;
}


/* Footer Accordion Item Content Containers */
.footer_wrap .elementor-accordion .elementor-accordion-item .elementor-tab-content {
    border-top: none;
}


/* Footer Accordion Item Titles */
.footer_wrap .elementor-accordion .elementor-accordion-item .elementor-tab-title {
    padding-top: 15px;
    padding-bottom: 13px;
}


/* Footer Accordion Item List Containers */
.footer_wrap .elementor-accordion .elementor-accordion-item .elementor-tab-content .widget_custom_links .custom_links_list {
    margin-bottom: 5px;
}


/* Footer Copyright Text Links */
.footer_wrap .elementor-widget-text-editor a:not(.sc_button):not([class*="button"]):not(:hover) {
    color: inherit;
}

